import type { EventLog, ExtractionLog, InitLogger, TransmissionLog } from '../types/LoggerTypes';
import type { LogBoundaryProps } from '../types/LogBoundaryTypes';
export declare const useRookLogger: () => {
    initLogger: (props: InitLogger) => void;
    logBoundary: <T>(props: LogBoundaryProps<T>) => Promise<T>;
    sendEventLog: (content: EventLog) => void;
    sendExtractionLog: (content: ExtractionLog) => void;
    sendTransmissionLog: (content: TransmissionLog) => void;
};
//# sourceMappingURL=useRookLogger.d.ts.map